Skip to content

Add Take Profit / Stop Loss​

POST
/v1/perps/orders/tp-sl/add

Add a take-profit and/or stop-loss to an open position. At least one of takeProfitPrice
or stopLossPrice must be provided. Only one take-profit and one stop-loss may be set per
position.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body​

application/json
JSON
{
"pair": "BTCUSDC",
"takeProfitPrice": "120000",
"stopLossPrice": "80000"
}

Responses​

Take-profit/stop-loss added successfully

Playground​

Authorization
Body

Samples​